1. Item
itemdb API Guide
  • General
    • Getting Started
    • API Access
    • Slugs
    • Widget
      • Widget
      • Tab Example
  • v1
    • Item
      • Get latest items
        GET
      • Get an item
        GET
      • Get item's price history
        GET
      • Get item's auction history
        GET
      • Get item's restock history
        GET
      • Get item's trade history
        GET
      • Get items color palette
        GET
      • Get item's color palette
        POST
      • Get many items
        GET
      • Get many items
        POST
      • Get Item Drops Data
        GET
      • Get Dyeworks Variants
        GET
      • Get MME Paths
        GET
      • Get Item Effects
        GET
      • Get Cooking Pot Recipes
        GET
    • Search
      • Search for an item
    • Lists
      • Get List Info
      • Get List Item Info
      • Get List Item Data
    • Misc
      • Get all ways to change a Pet Color/Species
      • Get wearable preview
      • Get cached item's thumbnail
    • Schemas
      • Schemas
        • SaleStatus
        • ItemMallData
        • UseTypes
        • ListData
        • ListItemInfo
        • ItemData
        • itemColorData
        • ItemPriceData
        • OwlsData
        • ItemRestockData
        • ItemAuctionData
        • TradeData
        • TradeItem
        • UserList
        • ListItemInfo
        • ColorData
        • SearchFilters
  • v2
    • Intents & Cache
    • Items
      • Get a single item
      • Get many items
      • Get many items
    • Search
      • Search items
    • Lists
      • Get a list's items
    • Schemas
      • ItemIntent
      • ItemFlags
      • ItemPriceField
      • ItemPriceV2
      • NCValue
      • ItemSaleStatusV2
      • UseTypes
      • ThreeStateBoolean
      • ItemV2Minimal
      • ItemV2Card
      • ItemV2Pricer
      • ItemV2Full
      • Error
  1. Item

Get many items

POST
https://itemdb.com.br/api/v1/items/many
Data Point Cost:Number of items returned
Get many items at once. Userful for bulk

Request

Body Params application/json

Example
{
    "id": [
        0
    ],
    "item_id": [
        0
    ],
    "name": [
        "string"
    ],
    "image_id": [
        "string"
    ],
    "name_image_id": [
        [
            "string",
            "string"
        ]
    ]
}

Responses

🟢200OK
application/json
returns an object as {[identificator: string]: ItemData}
where identificator is the param type you sended.
if you use the name_image_id param, the identificator will be encodeURI(name)_image_id. Check the encodeURI documentation
Bodyapplication/json

Example
{
    "71": {
        "internal_id": 71,
        "image": "https://images.neopets.com/items/negg.gif",
        "image_id": "negg",
        "item_id": 8,
        "rarity": 45,
        "name": "Negg",
        "specialType": "trading",
        "isNC": false,
        "type": "np",
        "estVal": 4371,
        "weight": 3,
        "description": "A Negg is a Neopian delicacy.  *** WORTH 1 NEGG POINT AT THE NEGGERY ***",
        "status": "active",
        "category": "Food",
        "isNeohome": false,
        "isWearable": false,
        "color": {
            "hsv": [
                null,
                null,
                null
            ],
            "rgb": [
                203,
                99,
                4
            ],
            "lab": [
                53.63108729347468,
                36.90719903461171,
                61.33641181173597
            ],
            "hex": "#CB6304",
            "type": "vibrant",
            "population": 58
        },
        "findAt": {
            "safetyDeposit": "https://www.neopets.com/safetydeposit.phtml?obj_name=Negg&category=0",
            "shopWizard": "https://www.neopets.com/shops/wizard.phtml?string=Negg",
            "auction": "https://www.neopets.com/genie.phtml?type=process_genie&criteria=exact&auctiongenie=Negg",
            "trading": "https://www.neopets.com/island/tradingpost.phtml?type=browse&criteria=item_exact&search_string=Negg",
            "closet": null,
            "restockShop": "https://www.neopets.com/objects.phtml?type=shop&obj_type=1",
            "dti": null
        },
        "isMissingInfo": false,
        "price": {
            "value": 22450,
            "addedAt": "Thu Mar 23 2023 07:32:55 GMT+0100 (Central European Standard Time)",
            "inflated": false
        },
        "comment": null
    },
    "75": {
        "internal_id": 75,
        "image": "https://images.neopets.com/items/magic_mote_bubble.gif",
        "image_id": "magic_mote_bubble",
        "item_id": 24,
        "rarity": 58,
        "name": "Bubble Mote",
        "specialType": null,
        "isNC": false,
        "type": "np",
        "estVal": 175,
        "weight": 1,
        "description": "The bubble mote is most effective against fire attacks and can temporarily give your creature invisibility.",
        "status": "active",
        "category": "Brightvale Motes",
        "isNeohome": false,
        "isWearable": false,
        "color": {
            "hsv": [
                null,
                null,
                null
            ],
            "rgb": [
                8.895348837209262,
                246.1046511627907,
                246.1046511627907
            ],
            "lab": [
                88.30102877129474,
                -46.62106738211241,
                -13.7189518283185
            ],
            "hex": "#09F6F6",
            "type": "vibrant",
            "population": 0
        },
        "findAt": {
            "safetyDeposit": "https://www.neopets.com/safetydeposit.phtml?obj_name=Bubble+Mote&category=0",
            "shopWizard": "https://www.neopets.com/shops/wizard.phtml?string=Bubble+Mote",
            "auction": "https://www.neopets.com/genie.phtml?type=process_genie&criteria=exact&auctiongenie=Bubble+Mote",
            "trading": "https://www.neopets.com/island/tradingpost.phtml?type=browse&criteria=item_exact&search_string=Bubble+Mote",
            "closet": null,
            "restockShop": "https://www.neopets.com/objects.phtml?type=shop&obj_type=82",
            "dti": null
        },
        "isMissingInfo": false,
        "price": {
            "value": 4,
            "addedAt": "Tue Mar 21 2023 01:33:02 GMT+0100 (Central European Standard Time)",
            "inflated": false
        },
        "comment": null
    },
    "127": {
        "internal_id": 127,
        "image": "https://images.neopets.com/items/purpletradingcardback.gif",
        "image_id": "purpletradingcardback",
        "item_id": 476,
        "rarity": null,
        "name": "Ursula Usul",
        "specialType": "uncommon",
        "isNC": false,
        "type": "np",
        "estVal": null,
        "weight": null,
        "description": "This dedicated Usul has just one focus in life, to be the Ultimate Gormball Champion.  She has studied her entire life for this and wont be beaten easily.",
        "status": "active",
        "category": "Collectable Card",
        "isNeohome": false,
        "isWearable": false,
        "color": {
            "hsv": [
                null,
                null,
                null
            ],
            "rgb": [
                188,
                86,
                188
            ],
            "lab": [
                52.92517135891461,
                54.84055107884767,
                -35.33937842544705
            ],
            "hex": "#BC56BC",
            "type": "vibrant",
            "population": 6
        },
        "findAt": {
            "safetyDeposit": "https://www.neopets.com/safetydeposit.phtml?obj_name=Ursula+Usul&category=0",
            "shopWizard": "https://www.neopets.com/shops/wizard.phtml?string=Ursula+Usul",
            "auction": "https://www.neopets.com/genie.phtml?type=process_genie&criteria=exact&auctiongenie=Ursula+Usul",
            "trading": "https://www.neopets.com/island/tradingpost.phtml?type=browse&criteria=item_exact&search_string=Ursula+Usul",
            "closet": null,
            "restockShop": null,
            "dti": null
        },
        "isMissingInfo": true,
        "price": {
            "value": 1590,
            "addedAt": "Sun Mar 26 2023 16:56:27 GMT+0200 (Central European Summer Time)",
            "inflated": false
        },
        "comment": null
    }
}
Modified at 2026-04-26 15:07:49
Previous
Get many items
Next
Get Item Drops Data
Built with